FMIN(3)

NAME
fmin - return minimum value

SYNOPSIS
#include <math.h>
double
fmin(double x, double y);
long double
fminl(long double x, long double y);
float
fminf(float x, float y);

DESCRIPTION
The fmin() functions return x or y, whichever is smaller.

SPECIAL VALUES
If exactly one argument is a NaN, fmin() returns the other argument. If both arguments are NaNs, fmin() returns a NaN.

SEE ALSO
fdim(3), fma(3), fmax(3)

STANDARDS
The fmin() functions conform to ISO/IEC 9899:2011.